# class KCrash | This class handles segmentation-faults. More...
Definition | `#include <kcrash.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Static Methods

- static void defaultCrashHandler (int signal)
- static void setCrashHandler (HandlerType handler = defaultCrashHandler)
- static HandlerType crashHandler ()
- static void setEmergencySaveFunction (HandlerType saveFunction = (HandlerType)0)
- static HandlerType emergencySaveFunction ()
- static void setApplicationPath (QString path)
- static void setApplicationName (QString name)

#### Public Members

- typedef void (*HandlerType) (int)

#### Protected Members

- static HandlerType _crashHandler
- static HandlerType _emergencySaveFunction

## Detailed Description

This class handles segmentation-faults. By default it displays a message-box saying the application crashed. This default can be overridden by setting a custom crash handler with setCrashHandler(). If a function is specified with setEmergencySaveFunction() it will be called by the default crash handler, giving the application a chance to save its data.

void defaultCrashHandler (int signal) | ### defaultCrashHandler

[static]

typedef void (*HandlerType) (int) | ### (*HandlerType)

void setCrashHandler (HandlerType handler = defaultCrashHandler) | ### setCrashHandler

[static]

Install a function to be called in case a SIGSEGV is caught.

- null in wich case signal-catching is disabled (by calling signal(SIGSEGV, SIG_DFL))
- if handler is omitted the default crash handler is installed.
- an user defined function in the form: static (if in a class) void myCrashHandler(int);

Parameters:

HandlerType | handler can be one of

HandlerType crashHandler () | ### crashHandler

[static]

Returns the intalled crash handler

void setEmergencySaveFunction (HandlerType saveFunction = (HandlerType)0) | ### setEmergencySaveFunction

[static]

Installs a function which should try to save the applications data. It is the crash handler´s responsibility to call this function. Therefore, if no crash handler is set, the default crash handler is installed to ensure the save function is called.

HandlerType emergencySaveFunction () | ### emergencySaveFunction

[static]

Return the currently set emergency save function.

void setApplicationPath (QString path) | ### setApplicationPath

[static]

Sets the application path `path` which should be passed to Dr. Konqi, our nice crash display application.

void setApplicationName (QString name) | ### setApplicationName

[static]

Sets the application name `name` which should be passed to Dr. Konqi, our nice crash display application.

static HandlerType _crashHandler | ### _crashHandler

[protected]

static HandlerType _emergencySaveFunction | ### _emergencySaveFunction

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.